<script lang="ts">
import { defineComponent } from "vue";

import Help from "./HelpPage.vue";

export default defineComponent({
  components: {
    Help,
  },
  props: {
    correctGuessText: { type: String, required: true },
    closeGuessText: { type: String, required: true },
  },
  emits: ["onClose"],
});
</script>

<template>
  <div class="outer_container">
    <div class="container">
      <Help
        @onClose="$emit('onClose')"
        :close-guess-text="closeGuessText"
        :correct-guess-text="correctGuessText"
      />
    </div>
  </div>
</template>
<style scoped>
.outer_container {
  width: 468px;
}

.container {
  margin: 1em;
  font-size: 14px;
  font-family: "Clear Sans", "Helvetica Neue", Arial, sans-serif;
  border-radius: 8px;
  border: 1px solid #f6f7f8;
  background: white;
  box-shadow: 0 4px 23px 0 rgb(0 0 0 / 20%);
  max-height: 90%;
  overflow-y: auto;
  box-sizing: border-box;
  padding: 16px;
}
</style>
